%define fname	widgetsnbextension

Name:		python-widgetsnbextension
Summary:	IPython HTML widgets for Jupyter
Version:	1.2.6
Release:	%mkrel 1
Source0:	https://pypi.debian.net/%{fname}/%{fname}-%{version}.tar.gz
Patch0:         0001-use-setuptools.patch
URL:		http://ipython.org/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       widgetsnbextension = %{version}-%{release}

%description
Interactive HTML widgets for Jupyter notebooks.
This is the Python2 version.

%package -n python3-widgetsnbextension
Summary:	IPython HTML widgets for Jupyter
Group:		Development/Python
Requires:       widgetsnbextension = %{version}-%{release}

%description -n python3-widgetsnbextension
Interactive HTML widgets for Jupyter notebooks.
This is the Python3 version.

%package -n widgetsnbextension
Summary:	IPython HTML widgets for Jupyter
Group:		Development/Python

%description -n widgetsnbextension
Interactive HTML widgets for Jupyter notebooks.
Common js files.

%prep
%autosetup -p1 -n %{fname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{python2_sitelib}/

%files -n python3-widgetsnbextension
%{python3_sitelib}/

%files -n widgetsnbextension
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js.map



%changelog
* Tue Jul 19 2016 joequant <joequant> 1.2.6-1.mga6
+ Revision: 1042586
- upgrade to 1.2.6

* Wed May 04 2016 philippem <philippem> 1.2.2-1.mga6
+ Revision: 1009198
- update to 1.2.2

* Fri Apr 29 2016 philippem <philippem> 1.2.1-1.mga6
+ Revision: 1007703
- update to 1.2.1

* Wed Apr 20 2016 philippem <philippem> 1.0.0-1.mga6
+ Revision: 1003881
- imported package python-widgetsnbextension

